package com.fs.watch.service;

import com.fs.watch.domain.WatchFatigueData;
import com.fs.watch.domain.vo.WatchFatigueDataVo;
import com.fs.watch.param.WatchDataQueryParam;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_fatigue_data(设备疲劳度)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchFatigueDataService{

    Boolean insert(WatchFatigueData watchFatigueData);


    List<WatchFatigueDataVo> page(WatchDataQueryParam param);

    List<WatchFatigueDataVo>  queryByDateAndDeviceId(String date, String deviceId);

    List<WatchFatigueDataVo> list(Date startTime, Date endTime, String deviceId);

    List<Map<String, Object>> countByDate(Date startTime, Date endTime, String deviceId);

    WatchFatigueData getLastByDeviceId(String deviceId);
}
